#
# Default subroutes configuration for the Neos.Seo package
#

-
  name:  'XML Sitemap'
  uriPattern: '{node}/<xmlSitemapPath>'
  defaults:
    '@package':    'Neos.Neos'
    '@controller': 'Frontend\Node'
    '@action':     'show'
    '@format':     'xml.sitemap'
  routeParts:
    'node':
      handler:     'Neos\Neos\Routing\FrontendNodeRoutePartHandlerInterface'
      options:
        onlyMatchSiteNodes: true
  appendExceedingArguments: true


-
  name:  'XML Sitemap'
  uriPattern: '{node}<xmlSitemapPath>'
  defaults:
    '@package':    'Neos.Neos'
    '@controller': 'Frontend\Node'
    '@action':     'show'
    '@format':     'xml.sitemap'
  routeParts:
    'node':
      handler:     'Neos\Neos\Routing\FrontendNodeRoutePartHandlerInterface'
      options:
        onlyMatchSiteNodes: true
  appendExceedingArguments: true

-
  name:  'robots.txt'
  uriPattern: '{node}robots.txt'
  defaults:
    '@package':    'Neos.Neos'
    '@controller': 'Frontend\Node'
    '@action':     'show'
    '@format':     'txt.robots'
  routeParts:
    'node':
      handler:     'Neos\Neos\Routing\FrontendNodeRoutePartHandlerInterface'
      options:
        onlyMatchSiteNodes: true
  appendExceedingArguments: true
